Skip to main content

Retrieve a GCS bucket

Returns a representation of the specified GCS bucket.

Path Parameters
  • bucket_id string required

    Performs the operation on the Bucket with the specified ID.

Responses

Success


Schema
  • _etag string
  • bucket_name string

    The name of the bucket

  • created_timestamp string

    Creation time of the bucket in RFC-3339 format.

  • id string

    The Clumio-assigned ID that represents the bucket.

  • is_deleted boolean

    Determines whether the bucket has been deleted

  • is_versioning_enabled boolean

    Determines whether versioning is enabled for the bucket.

  • labels object[]

    GCP labels (key-value pairs) associated with the bucket, similar to AWS tags.

  • key string

    The GCP-assigned label key.

  • value string

    The GCP-assigned label value.

  • last_backup_timestamp string

    Time of the last backup in RFC-3339 format.

  • location string

    The GCP location associated with the bucket.

  • location_type string

    The location type of the bucket (e.g., "Region", "Dual-region", "Multi-region").

  • location_uuid string

    The Clumio-assigned UUID of the GCP location associated with the bucket.

  • object_count int64

    The number of objects in the bucket.

  • organizational_unit_id string

    The Clumio-assigned ID of the organizational unit associated with the bucket.

  • project_id string

    The GCP project ID associated with the bucket.

  • project_uuid string

    The Clumio-assigned UUID of the GCP project associated with the bucket.

  • protection_group_count int64

    The number of protection groups associated with the bucket.

  • size_bytes int64

    Total size in bytes of all objects in the bucket.

Loading...